module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={
			args={
				alive_time=4.5,
				color={a=0,b=255,g=255,r=255,},
				excutor=[[enemy_nv]],
				fade_time=0.6,
			},
			func_name=[[ActorColor]],
			start_time=0,
		},
		[2]={
			args={
				alive_time=4.5,
				color={a=0,b=255,g=255,r=255,},
				excutor=[[ally_na]],
				fade_time=0.6,
			},
			editor_is_ban=false,
			func_name=[[ActorColor]],
			start_time=0,
		},
		[3]={
			args={player_swipe=false,},
			editor_is_ban=false,
			func_name=[[CameraLock]],
			start_time=0,
		},
		[4]={
			args={
				add_type=[[merge]],
				condition_name=[[ally]],
				false_group=[[e]],
				group_type=[[condition]],
				true_group=[[a]],
			},
			func_name=[[GroupCmd]],
			start_time=0,
		},
		[5]={args={alive_time=2.5,},func_name=[[PlayerBigMagic]],start_time=0.1,},
		[6]={
			args={
				camera_pos={base_pos=[[atk]],depth=1,relative_angle=0,relative_dis=10,},
				excutor=[[atkobj]],
				move_time=0.5,
				move_type=[[cam]],
			},
			editor_is_ban=false,
			func_name=[[CameraTarget]],
			start_time=0.1,
		},
		[7]={
			args={
				excutor=[[camobj]],
				face_to=[[look_at]],
				pos={base_pos=[[atk]],depth=0.75,relative_angle=0,relative_dis=0,},
				time=0.5,
			},
			func_name=[[FaceTo]],
			start_time=0.1,
		},
		[8]={
			args={alive_time=3,color={a=0,b=255,g=255,r=255,},excutor=[[vicobj]],fade_time=0.01,},
			func_name=[[ActorColor]],
			start_time=0.4,
		},
		[9]={
			args={color={a=255,b=0,g=0,r=0,},fade_time=0.01,},
			editor_is_ban=false,
			func_name=[[CameraColor]],
			start_time=0.5,
		},
		[10]={
			args={sound_path=[[Magic/sound_magic_3205_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=1.5,
		},
		[11]={
			args={
				action_name=[[attack5]],
				action_time=3,
				end_frame=170,
				excutor=[[atkobj]],
				start_frame=0,
			},
			func_name=[[PlayAction]],
			start_time=1.6,
		},
		[12]={
			args={
				alive_time=1.86,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_cutscene2.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=1.6,
		},
		[13]={args={time=0,},func_name=[[HideUI]],start_time=2,},
		[14]={
			args={
				alive_time=0.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=2.75,
		},
		[15]={
			args={
				alive_time=0.7,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff2.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=2.8,
		},
		[16]={
			args={
				alive_time=0.41,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=3.04,
		},
		[17]={
			args={
				alive_time=0.28,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
					preload=true,
				},
				effect_dir_type=[[relative]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobj]],
				relative_dir={base_pos=[[atkobj]],depth=0,relative_angle=0,relative_dis=0,},
			},
			func_name=[[StandEffect]],
			start_time=3.24,
		},
		[18]={args={excutor=[[camobj]],},func_name=[[KillTargetTween]],start_time=3.5,},
		[19]={
			args={
				alive_time=1,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff2.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=3.52,
		},
		[20]={
			args={
				alive_time=0.5,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_3205/Prefabs/magic_eff_3205_att4.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			editor_is_ban=false,
			func_name=[[BodyEffect]],
			start_time=3.97,
		},
		[21]={
			args={
				alive_time=1.4,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5.prefab]],
					preload=true,
				},
				excutor=[[atkobj]],
				height=0,
			},
			func_name=[[BodyEffect]],
			start_time=4.4,
		},
		[22]={
			args={color={a=255,b=255,g=255,r=255,},fade_time=0.0099999999999998,},
			func_name=[[CameraColor]],
			start_time=4.4,
		},
		[23]={
			args={alive_time=1.4,color={a=255,b=0,g=0,r=0,},excutor=[[vicobjs]],fade_time=0,},
			func_name=[[ActorColor]],
			start_time=4.4,
		},
		[24]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=4.48,
		},
		[25]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=4.49,
		},
		[26]={
			args={action_name=[[hitFloat]],excutor=[[vicobjs]],},
			func_name=[[PlayAction]],
			start_time=4.49,
		},
		[27]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=4.5,
		},
		[28]={
			args={color={a=255,b=0,g=0,r=255,},fade_time=0.1,restore_time=0.6,},
			func_name=[[CameraColor]],
			start_time=4.5,
		},
		[29]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=4.51,
		},
		[30]={
			args={color={a=255,b=255,g=255,r=255,},fade_time=0.38,restore_time=0.72,},
			func_name=[[CameraColor]],
			start_time=5.12,
		},
		[31]={
			args={
				alive_time=1,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/skybox_dark/Prefabs/skybox_whitemask.prefab]],
					preload=true,
				},
				effect_dir_type=[[empty]],
				effect_pos={base_pos=[[center]],depth=3,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=5.5,
		},
		[32]={
			args={excutor=[[atkobj]],face_to=[[default]],time=0,},
			func_name=[[FaceTo]],
			start_time=5.78,
		},
		[33]={
			args={
				begin_type=[[current]],
				calc_face=true,
				ease_type=[[Unset]],
				end_relative={base_pos=[[atk_lineup]],depth=0,relative_angle=0,relative_dis=0,},
				end_type=[[end_relative]],
				excutor=[[atkobj]],
				look_at_pos=true,
				move_time=0.0099999999999998,
				move_type=[[line]],
			},
			func_name=[[Move]],
			start_time=5.82,
		},
		[34]={
			args={action_name=[[idleWar]],excutor=[[vicobjs]],},
			func_name=[[PlayAction]],
			start_time=5.82,
		},
		[35]={args={player_swipe=true,},func_name=[[CameraLock]],start_time=5.82,},
		[36]={
			args={excutor=[[atkobj]],face_to=[[default]],time=0,},
			func_name=[[FaceTo]],
			start_time=5.85,
		},
		[37]={args={},func_name=[[ShowUI]],start_time=5.85,},
		[38]={
			args={action_name=[[idleWar]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=6.31,
		},
		[39]={args={},func_name=[[End]],start_time=6.35,},
	},
	group_cmds={
		a={
			[1]={
				args={
					begin_prepare=[[3205_r_02]],
					begin_type=[[begin_prepare]],
					calc_face=true,
					ease_type=[[Linear]],
					end_type=[[empty]],
					excutor=[[atkobj]],
					move_time=0.0099999999999998,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.55,
			},
			[2]={
				args={
					begin_type=[[current]],
					calc_face=true,
					ease_type=[[Linear]],
					end_prepare=[[3205_03]],
					end_type=[[end_prepare]],
					excutor=[[camobj]],
					move_time=0.01,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.55,
			},
			[3]={
				args={
					begin_type=[[current]],
					calc_face=true,
					ease_type=[[Linear]],
					end_prepare=[[3205_02]],
					end_type=[[end_prepare]],
					excutor=[[camobj]],
					move_time=0.34,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.67,
			},
		},
		e={
			[1]={
				args={
					begin_prepare=[[3205_r_02_2]],
					begin_type=[[begin_prepare]],
					calc_face=true,
					ease_type=[[Linear]],
					end_type=[[empty]],
					excutor=[[atkobj]],
					move_time=0.0099999999999998,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.55,
			},
			[2]={
				args={
					begin_type=[[current]],
					calc_face=true,
					ease_type=[[Linear]],
					end_prepare=[[3205_03_2]],
					end_type=[[end_prepare]],
					excutor=[[camobj]],
					move_time=0.0099999999999998,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.55,
			},
			[3]={
				args={
					begin_type=[[current]],
					calc_face=true,
					ease_type=[[Linear]],
					end_prepare=[[3205_02_2]],
					end_type=[[end_prepare]],
					excutor=[[camobj]],
					move_time=0.34,
					move_type=[[line]],
				},
				func_name=[[Move]],
				start_time=3.67,
			},
		},
	},
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_cutscene2.prefab]],
		[2]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
		[3]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff2.prefab]],
		[4]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
		[5]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff1.prefab]],
		[6]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_eff2.prefab]],
		[7]=[[Effect/Magic/magic_eff_3205/Prefabs/magic_eff_3205_att4.prefab]],
		[8]=[[Effect/Magic/magic_eff_new_110/Prefabs/110_attack5.prefab]],
		[9]=[[Effect/Magic/skybox_dark/Prefabs/skybox_whitemask.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
